AI Sync

Advanced

Trigger Test Call

POSThttps://app.rizzdial.com/api/ai/agent/v2/manage/advanced/test-call/{agent_id}
Trigger Test Call
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/test-call/agent_123 \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "agent_id": "agent_123",
    "timezone": "America/New_York",
    "access_token": "token"
  },
  "message": "Test call created successfully",
  "success": true
}

Trigger Test Call#

Starts a browser test call for an agent. There is no request body. Success returns access_token. An unknown agent id returns 404. If the token cannot be created, the response is 502.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_idstringpathrequired

Public agent id from List Agents

curl --request POST \
 --url https://app.rizzdial.com/api/ai/agent/v2/manage/advanced/test-call/agent_123 \
 --header 'Authorization: Bearer {{bearer_token}}'
successboolean

true when the test call is created

messagestring

Test call created successfully

data.access_tokenstring

Token the browser uses to join the test call

data.timezonestring

Agent timezone used for current_dateTime